Bug 459221 - RHEL5.3: Patch to support new AMD HDMI Audio
Summary: RHEL5.3: Patch to support new AMD HDMI Audio
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: kernel
Version: 5.3
Hardware: All
OS: Linux
medium
medium
Target Milestone: rc
: ---
Assignee: Bhavna Sarathy
QA Contact: Martin Jenner
URL:
Whiteboard:
Depends On:
Blocks: 364381 RHEL5u3_relnotes
TreeView+ depends on / blocked
 
Reported: 2008-08-15 06:11 UTC by Yang, Libin
Modified: 2018-10-19 23:54 UTC (History)
9 users (show)

Fixed In Version:
Doc Type: Enhancement
Doc Text:
High-Definition Multimedia Interface (HDMI) audio support on AMD ATI integrated chipsets has been updated.
Clone Of:
Environment:
Last Closed: 2009-01-20 20:08:35 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2009:0225 0 normal SHIPPED_LIVE Important: Red Hat Enterprise Linux 5.3 kernel security and bug fix update 2009-01-20 16:06:24 UTC

Description Yang, Libin 2008-08-15 06:11:26 UTC
The latest release does not support some ATI cards' HDMI function.

The below patch is to support more HDMI Audio for RHEL 5.3. The original patch has been accepted by ALSA. http://git.alsa-project.org/?p=alsa-kernel.git;a=blobdiff;f=sound/pci/hda/hda_intel.c;h=a73d6ca0a90655104c48b7ea50b4089815de5b70;hp=ef9f072b47fcc65749729d22fa8e1390c1f8a8de;hb=45fc3c4d9b7ab12798af43a73aea53eeecd16acf;hpb=96348852cf8ff5597a39e866838679b3a9a38947

+++ sound/pci/hda/hda_intel.c	2008-08-15 21:59:43.000000000 +0800
@@ -2200,6 +2200,7 @@
 	{ PCI_DEVICE(0x1002, 0x793b), .driver_data = AZX_DRIVER_ATIHDMI },
 	{ PCI_DEVICE(0x1002, 0x7919), .driver_data = AZX_DRIVER_ATIHDMI },
 	{ PCI_DEVICE(0x1002, 0x960f), .driver_data = AZX_DRIVER_ATIHDMI },
+	{ PCI_DEVICE(0x1002, 0x970f), .driver_data = AZX_DRIVER_ATIHDMI },
 	{ PCI_DEVICE(0x1002, 0xaa00), .driver_data = AZX_DRIVER_ATIHDMI },
 	{ PCI_DEVICE(0x1002, 0xaa08), .driver_data = AZX_DRIVER_ATIHDMI },
 	{ PCI_DEVICE(0x1002, 0xaa10), .driver_data = AZX_DRIVER_ATIHDMI },

Comment 1 Bhavna Sarathy 2008-08-20 15:10:25 UTC
Posted to RHML on Aug 20 for RHEL5.3.

Comment 2 RHEL Program Management 2008-08-25 16:32:17 UTC
Quality Engineering Management has reviewed and declined this request.  You may
appeal this decision by reopening this request.

Comment 3 RHEL Program Management 2008-08-27 17:33:19 UTC
This request was evaluated by Red Hat Product Management for inclusion in a Red
Hat Enterprise Linux maintenance release.  Product Management has requested
further review of this request by Red Hat Engineering, for potential
inclusion in a Red Hat Enterprise Linux Update release for currently deployed
products.  This request is not yet committed for inclusion in an Update
release.

Comment 4 Don Zickus 2008-09-03 03:41:49 UTC
in kernel-2.6.18-107.el5
You can download this test kernel from http://people.redhat.com/dzickus/el5

Comment 5 Russell Doty 2008-09-03 13:23:30 UTC
Added "blocks BZ 364381". Added keywords.

Comment 6 Shane Huang 2008-09-11 02:12:20 UTC
We confirmed that kernel source 2.6.18-107 includes the device ID. Thanks.
Actual test will be started only when HW is available in the future,
after that the status will be changed into "VERIFIED".

Comment 9 Ryan Lerch 2008-10-10 02:07:09 UTC
Release note added. If any revisions are required, please set the 
"requires_release_notes" flag to "?" and edit the "Release Notes" field accordingly.
All revisions will be proofread by the Engineering Content Services team.

New Contents:
High-Definition Multimedia Interface (HDMI) audio support on AMD ATI integrated chipsets has been updated.

Comment 10 Chris Ward 2008-11-18 18:13:44 UTC
~~ Snapshot 3 is now available ~~ 

Snapshot 3 is now available for Partner Testing, which should contain a fix that resolves this bug. ISO's available as usual at ftp://partners.redhat.com. Your testing feedback is vital! Please let us know if you encounter any NEW issues (file a new bug) or if you have VERIFIED the fix is present and functioning as expected (add PartnerVerified Keyword).

Ping your Partner Manager with any additional questions. Thanks!

Comment 12 Chris Ward 2008-11-28 06:45:19 UTC
~~ Attention ~~ Snapshot 4 is now available for testing @ partners.redhat.com ~~

Partners, it is vital that we get your testing feedback on this important bug fix / feature request. If you are unable to test, please clearly indicate this in a comment to this bug or directly with your partner manager. If we do not receive your test feedback, this bug is at risk from being dropped from the release.

If you have VERIFIED the fix, please add PartnerVerified to the Bugzilla Keywords field, along with a description of the test results. 

If you encounter a new bug, CLONE this bug and request from your Partner manager to review. We are no longer excepting new bugs into the release, bar critical regressions.

Comment 13 Chris Ward 2008-12-04 09:32:28 UTC
AMD, what is the current status of this bug fix? The fix should be present in the latest RHEL5.3 Snapshot. Please test and send feedback ASAP.

Comment 14 Shane Huang 2008-12-05 01:44:42 UTC
We have confirmed that the patch has been added to RHEL5 kernels like
2.6.18-125 and 2.6.18-124.
But since the audio HW device is NOT available to us yet, we are NOT able
to test it so far. thanks.

I'm changing the status into VERIFIED, if unfortunately the device can NOT
work in the future , we may create another new BZ.

Comment 16 errata-xmlrpc 2009-01-20 20:08:35 UTC
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2009-0225.html


Note You need to log in before you can comment on or make changes to this bug.